Name:		fdns
Summary:	Firejail DNS-over-HTTPS Proxy Server
Version:	0.9.62.2
Release:	%mkrel 1
License:	GPLv3
Group:		System/Networking
Url:		https://firejaildns.wordpress.com/
Source0:	https://github.com/netblue30/fdns/releases/download/v%{version}/fdns-%{version}.tar.xz
Patch0:		0001-seccomp-allow-clock_nanosleep-syscall.patch
Patch1:		0001-Update-files-section-in-man-page.patch
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(openssl)

%description
DNS over HTTPS (DoH) is a next-generation communication protocol on track on becoming a
major Internet standard (RFC 8484). By adding strong encryption and authentication to the
good old DNS protocol, DoH tries to eliminate some of the biggest problems DNS had from the
beginning: censorship, surveillance, and man-in-the-middle attacks.

FDNS was designed to run as a local DoH proxy on a Linux desktop, or as a server for a small
network. Lean and mean, it protects the computers against some of the most common cyber
threats, all while improving the privacy and the system performance.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

# move systemd .service file to a correct location
mkdir -p %{buildroot}%{_unitdir}
mv %{buildroot}%{_sysconfdir}/%{name}/%{name}.service %{buildroot}%{_unitdir}/%{name}.service

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%post
%systemd_post %{name}

%preun
%systemd_preun %{name}

%files
%license COPYING
%doc README RELNOTES
%{_sysconfdir}/apparmor.d/usr.bin.fdns
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/*blocker
%config(noreplace) %{_sysconfdir}/%{name}/*trackers
%config %{_sysconfdir}/%{name}/resolver.seccomp
%config(noreplace) %{_sysconfdir}/%{name}/servers
%ghost %config(noreplace) %{_sysconfdir}/%{name}/hosts
%{_bindir}/fdns
%{_unitdir}/fdns.service
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Feb 29 2020 wally <wally> 0.9.62.2-1.mga8
+ Revision: 1552311
- imported package fdns

